# jsonlite

> A Robust, High Performance JSON Parser and Generator for R

[![CRAN_Status_Badge](http://www.r-pkg.org/badges/version/jsonlite)](http://cran.r-project.org/package=jsonlite)
[![CRAN RStudio mirror downloads](http://cranlogs.r-pkg.org/badges/jsonlite)](http://cran.r-project.org/web/packages/jsonlite/index.html)

A reasonably fast JSON parser and generator, optimized for statistical 
data and the web. Offers simple, flexible tools for working with JSON in R, and
is particularly powerful for building pipelines and interacting with a web API. 
The implementation is based on the mapping described in the vignette (Ooms, 2014).
In addition to converting JSON data from/to R objects, 'jsonlite' contains 
functions to stream, validate, and prettify JSON data. The unit tests included 
with the package verify that all edge cases are encoded and decoded consistently 
for use with dynamic data in systems and applications.

Have a look at the [vignette](https://cran.r-project.org/web/packages/jsonlite/vignettes/json-aaquickstart.html) to get started!

## Code of Conduct

Please note that the jsonlite project is released with a [Contributor Code of Conduct](https://www.contributor-covenant.org/version/1/0/0/CODE_OF_CONDUCT.html). By contributing to this project, you agree to abide by its terms.
